Pular para o conteúdo principal
POST
/
webhooks
/
2026-03
/
{appId}
/
subscriptions
/
batch
/
update
Criar assinaturas de eventos em lote
curl --request POST \
  --url https://api.hubapi.com/webhooks/2026-03/{appId}/subscriptions/batch/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "active": true,
      "id": 123
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "active": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "eventType": "company.associationChange",
      "id": "<string>",
      "eventTypeName": "<string>",
      "objectTypeId": "<string>",
      "propertyName": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

appId
integer<int32>
obrigatório

O ID do aplicativo de destino.

Corpo

application/json
inputs
object[]
obrigatório

Resposta

successful operation

completedAt
string<date-time>
obrigatório

A data e a hora em que a operação em lote foi concluída.

results
object[]
obrigatório

A lista de resultados da operação em lote.

startedAt
string<date-time>
obrigatório

A data e a hora em que a operação em lote começou.

status
enum<string>
obrigatório

O status atual da operação em lote, que pode ser PENDENTE, PROCESSANDO, CANCELADO ou CONCLUÍDO.

Opções disponíveis:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Uma coleção de links relacionados associados à operação em lote.

requestedAt
string<date-time>

A data e a hora em que a operação em lote foi solicitada.

Last modified on April 13, 2026